﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Gaudeix.Admin.Infrastructure
{
    public class WcfException : Exception
    {

        /// <summary>
        /// Inicialitza una nova instancia de la classe, informant un missatge d'error
        /// </summary>
        /// <param name="message">Missatge de l'excepcio</param>
        public WcfException(string message) : base(message) { }

        /// <summary>
        /// Inicialitza una nova instancia de la classe, informant un missatge d'error 
        /// i l'excepció interna que ha provocat l'error.
        ///</summary>
        ///<param name="message">Missatge de l'excepció</param>
        ///<param name="innerException">Excepció interna que ha provocat l'error</param>
        public WcfException(string message, Exception innerException)
            : base(message, innerException)
        {

        }


    }
}
