﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gaudeix.Admin.Infrastructure.Events;

namespace Gaudeix.Admin.Infrastructure.Forms
{
    /// <summary>
    /// Interficie que han de implementar els formularis de primer nivell
    /// </summary>
    public interface IParentForm : IChildForm
    {
        /// <summary>
        /// Event llençat al tancar el formulari
        /// </summary>
        event EventHandler<ChildFormEventArgs> ShowChildForm;
    }
}
