﻿
namespace Gaudeix.Admin.Infrastructure.Forms
{
    /// <summary>
    /// Interficie que han de implementar els formularis de primer nivell, 
    /// i que necessitin ser notificats quan es tanqui un formulari fill 
    /// per a actualitzar les dades
    /// </summary>
    public interface IParentFormUpdatable : IParentForm
    {
        #region Mètodes a implementar
        /// <summary>
        /// Sol·licita que s'actualitzin les dades del formulari pare.
        /// </summary>
        void UpdateResults();
        #endregion
    }
}
