﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Models.Browse
{
    public class RecommendPopUpModel
    {

        public int IdOferta { get; set; }

        [Display(Name = "Titol", ResourceType = typeof(CommonFields))]
        public string Titol { get; set; }

        [Display(Name = "NomAmic", ResourceType = typeof(CommonFields))]
        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        public string NomAmic { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [DataType(DataType.EmailAddress)]
        [Display(Name = "MailAmic", ResourceType = typeof(CommonFields))]
        public string MailAmic { get; set; }

        [Display(Name = "NomPropi", ResourceType = typeof(CommonFields))]
        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        public string NomPropi { get; set; }

        [Display(Name = "Missatge", ResourceType = typeof(CommonFields))]
        public string Missatge { get; set; }
   
    }
}
