﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Gaudeix.Common.Models.Common
{
    /// <summary>
    /// Classe que guarda un parell data-valor
    /// </summary>
    public class ItemDataValor
    {

        #region Propietats
        public DateTime Data { get; set; }
        public decimal Valor { get; set; }
        #endregion

        #region Constructors
        public ItemDataValor() { }

        public ItemDataValor(int day, int month, int year, decimal valor)
        {
            this.Data = new DateTime(year, month, day);
            this.Valor = valor;
        }

        public ItemDataValor(int day, int month, int year, Int64 valor)
        {
            this.Data = new DateTime(year, month, day) ;
            this.Valor = valor;
        }

        public ItemDataValor(DateTime data, int valor)
        {
            this.Data = data;
            this.Valor = valor;
        }
       
        #endregion
    }
}
