﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Gaudeix.Common.Models.Oferta
{
    [DataContract]
    public class ItemLlistaOfertes
    {
        [DataMember]
        public int IdOferta { get; set; }

        [DataMember]
        public string NomEmpresa { get; set; }

        [DataMember]
        public string Titol { get; set; }

        [DataMember]
        public decimal PreuBase { get; set; }

        [DataMember]
        public decimal PreuVenda { get; set; }

        [DataMember]
        public DateTime DataInici { get; set; }

        [DataMember]
        public DateTime DataFi { get; set; }

        [DataMember]
        public string NomCategoria { get; set; }

        [DataMember]
        public string NomPoblacio { get; set; }

        [DataMember]
        public string NomProvincia { get; set; }

        public ItemLlistaOfertes(int idOferta, string nomEmpresa, string titol, decimal preuBase,
            decimal preuVenda, DateTime dataInici, DateTime dataFi, string nomCategoria,
            string nomPoblacio, string nomProvincia)
        {
            this.IdOferta = idOferta;
            this.NomEmpresa = nomEmpresa;
            this.Titol = titol;
            this.PreuBase = preuBase;
            this.PreuVenda = preuVenda;
            this.DataInici = dataInici;
            this.DataFi = dataFi;
            this.NomCategoria = nomCategoria;
            this.NomPoblacio = nomPoblacio;
            this.NomProvincia = nomProvincia;
        }


    }
}
