﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Castle.Core.Logging;
using Castle.Windsor;
using System.Web.Mvc;
using Gaudeix.Manager;
using Gaudeix.Manager.Infrastructure.Factory;

namespace Gaudeix.Web.Infrastructure.Controllers
{
    public abstract class BaseController:Controller
    {

        public ILogger Logger { get; set; }

        public void debug(String message)
        {
            Logger.Debug(message);
        }

        public T GetManager<T>(){
            return ManagerFactory.GetManager<T>();
        }
    }
}