﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Gaudeix.Web.Security
{
    public class GaudeixMembershipUser : System.Web.Security.MembershipUser
    {

        #region Propiedades de la clase
        public string Nom { get; set; }
        public string Cognom1 { get; set; }
        public string Cognom2 { get; set; }

        public string Nif { get; set; }

        public override string Email { get; set; }

        public string Adreca { get; set; }

        public int IdProvincia { get; set; }

        public int IdPoblacio { get; set; }

        public string NomProvincia { get; set; }

        public string NomPoblacio { get; set; }

        public string CodiPostal { get; set; }

        public DateTime DataNaixement { get; set; }

        public string UsuariLogin { get; set; }

        #endregion

        #region Constructores
        public GaudeixMembershipUser(string nom,
            string cognom1, string cognom2, string nif, string email,
            string adreca, int idProvincia, int idPoblacio, string nomProvincia, string nomPoblacio,
            string codiPostal, DateTime dataNaixement, string usuariLogin)
        {
            this.Nom = nom;
            this.Cognom1 = cognom1;
            this.Cognom2 = cognom2;
            this.Nif = nif;
            this.Email = email;
            this.Adreca = adreca;
            this.IdProvincia = idProvincia;
            this.IdPoblacio = idPoblacio;
            this.NomProvincia = nomProvincia;
            this.NomPoblacio = nomPoblacio;
            this.CodiPostal = codiPostal;
            this.DataNaixement = dataNaixement;
            this.UsuariLogin = usuariLogin;
        }

        #endregion
    }
}