﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Gaudeix.Admin.Constants
{
    public static class CommonConstants
    {

        #region Constants privades de la classe
        // Constants de ruta relativa dels serveis
        public const string SERVICE_PATH_ENTITATS = "/Services/Entitats.svc/Entitats";
        public const string SERVICE_PATH_COMPRES = "/Services/Compres.svc/Compres";
        public const string SERVICE_PATH_EMAIL = "/Services/EMail.svc/EMail";
        public const string SERVICE_PATH_OFERTES = "/Services/Ofertes.svc/Ofertes";
        public const string SERVICE_PATH_TAULES_BASE = "/Services/TaulesBase.svc/TaulesBase";
        public const string SERVICE_PATH_USUARIS = "/Services/Usuaris.svc/Usuaris";
        public const string SERVICE_PATH_ESTADISTIQUES = "/Services/Estadistiques.svc/Estadistiques";

        // Constants de endpoints
        public const string ENDPOINT_COMPRES = "WSHttpBinding_ICompres";
        public const string ENDPOINT_EMAIL = "WSHttpBinding_IEMail";
        public const string ENDPOINT_ENTITATS = "WSHttpBinding_IEntitats";
        public const string ENDPOINT_OFERTES = "WSHttpBinding_IOfertes";
        public const string ENDPOINT_TAULES_BASE = "WSHttpBinding_ITaulesBase";
        public const string ENDPOINT_USUARIS = "WSHttpBinding_IUsuaris";
        public const string ENDPOINT_ESTADISTIQUES = "WSHttpBinding_IEstadistiques";
        #endregion

    }
}
