﻿using System.Drawing;

namespace Gaudeix.Admin.Entities.Menu
{
    public class ItemMenu
    {
        public Image Imatge { get; set; }

        public string Titol { get; set; }

        public string Tag { get; set; }

        public bool IsSeparador { get; set; }

        #region Constructors
        public ItemMenu(Image imatge, string titol, string tag)
        {
            this.Imatge = imatge;
            this.Titol = titol;
            this.Tag = tag;
        }

        public ItemMenu(Image imatge, string titol, string tag, bool isSeparador)
            : this(imatge, titol, tag)
        {
            this.IsSeparador = isSeparador;
        }

        public ItemMenu() { }
        #endregion
    }
}
