﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Models.Browse
{
    public class BuyPopUpModel
    {
        public int IdOferta { get; set; }

        [Display(Name = "Titol", ResourceType = typeof(CommonFields))]
        public string Titol { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [StringLength(16, ErrorMessageResourceName = "NumCaracters", ErrorMessageResourceType = typeof(CommonErrors), MinimumLength = 16)]
        [Display(Name = "TarjaCredit", ResourceType = typeof(CommonFields))]
        public string TarjaCredit { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [StringLength(3, ErrorMessageResourceName = "NumCaracters", ErrorMessageResourceType = typeof(CommonErrors), MinimumLength = 3)]
        [Display(Name = "CodiValidacio", ResourceType = typeof(CommonFields))]
        public string CodiValidacio { get; set; }

        public decimal PreuVenda { get; set; }
    }
}
