﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Models.Browse
{
    public class CommentPopUpModel
    {

        public int IdOferta { get; set; }

        public string Titol { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [Display(Name = "Comentari", ResourceType = typeof(CommonFields))]
        public string Comentari { get; set; }

        [Required(ErrorMessageResourceName = "CampObligatori", ErrorMessageResourceType = typeof(CommonErrors))]
        [Display(Name = "Valoracio", ResourceType = typeof(CommonFields))]
        [Range(0, 10, ErrorMessageResourceName = "ErrorRangValidacio", ErrorMessageResourceType = typeof(CommonErrors))]
        public virtual short Valoracio { get; set; }
    }
}
