﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Gaudeix.Common.Models.Empresa
{

    [DataContract]
    public class ItemOfertesEmpresa
    {
        #region Propietats
        [DataMember]
        public string Titol { get; set; }
        [DataMember]
        public DateTime DataInici { get; set; }
        [DataMember]
        public DateTime DataFi { get; set; }
        [DataMember]
        public decimal PreuBase { get; set; }
        [DataMember]
        public decimal PreuVenda { get; set; }
        [DataMember]
        public string NomPoblacio { get; set; }
        [DataMember]
        public string NomProvincia { get; set; }
#endregion

        #region Constructors
        public ItemOfertesEmpresa(string titol, DateTime dataInici, DateTime dataFi,
            decimal preuBase, decimal preuVenda, string nomPoblacio, string nomProvincia)
        {
            this.Titol = titol;
            this.DataInici = dataInici;
            this.DataFi = dataFi;
            this.PreuBase = preuBase;
            this.PreuVenda = preuVenda;
            this.NomPoblacio = nomPoblacio;
            this.NomProvincia = nomPoblacio;
        }
        #endregion
    }
}
