﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Mvc;
using System.ComponentModel.DataAnnotations;
using Gaudeix.Common.Resources;

namespace Gaudeix.Common.Models.Profile
{
    public class ItemLlistaCategories
    {
        #region Propietats públiques
        public bool CategoriaActiva { get; set; }

        [HiddenInput(DisplayValue = false)]
        public int IdCategoria { get; set; }

        [Display(Name = "Descripcio", ResourceType = typeof(CommonFields))]
        [HiddenInput(DisplayValue = true)]
        public string Descripcio { get; set; }
#endregion
        #region Constructors
        public ItemLlistaCategories(bool categoriaActiva, int idCategoria, string descripcio):this()
        {
            this.CategoriaActiva = categoriaActiva;
            this.IdCategoria = idCategoria;
            this.Descripcio = descripcio;
        }
        public ItemLlistaCategories() { }
#endregion
    }
}
