﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Gaudeix.Common.Models.Users
{
    [DataContract]
    public class ItemCompresUsuari
    {
        #region Propietats públiques de la classe
        [DataMember]
        public int IdCompra { get; set; }

        [DataMember]
        public string Titol { get; set; }

        [DataMember]
        public DateTime DataCompra { get; set; }

        [DataMember]
        public decimal PreuBase { get; set; }

        [DataMember]
        public decimal PreuVenda { get; set; }

        [DataMember]
        public decimal IdOferta { get; set; }
        #endregion

        #region Constructors
        public ItemCompresUsuari(int idCompra, string titol, DateTime dataCompra, decimal preuBase, decimal preuVenda, int idOferta)
        {
            this.IdCompra = idCompra;
            this.Titol = titol;
            this.DataCompra = dataCompra;
            this.PreuBase = preuBase;
            this.PreuVenda = preuVenda;
            this.IdOferta = idOferta;
        }
        #endregion
    }
}
