﻿

using Gaudeix.Common.Domain.Entities;
using Gaudeix.Data.Infrastructure.Dao;
using Gaudeix.Common.Interfaces.Dao;
using Gaudeix.Common.Models.Browse;
using System.Collections.Generic;
using NHibernate;
using System;
using Gaudeix.Common.Exceptions;
using Gaudeix.Common.Resources;
namespace Gaudeix.Data.Dao
{
    public class ComentariOfertaDao : BaseDao<ComentariOferta, int>, IComentariOfertaDao
    {
        #region IComentariOfertaDao Members

        public IList<ItemLlistaComentaris> GetComentarisOferta(int idOferta)
        {
            try
            {
                IQuery query = Session.GetNamedQuery("GetComentarisByIdOferta");
                query.SetInt32("idOferta", idOferta);
                return query.List<ItemLlistaComentaris>();
            }
            catch (Exception ex)
            {
                logger.Error("ComentariOfertaDao.GetComentarisOferta", ex);
                throw new GaudeixDaoException(CommonErrors.ErrorBD, ex);
            }
        }

        #endregion
    }
}
