﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel.Description;
using System.ServiceModel.Dispatcher;
using Gaudeix.Data.Infrastructure.HttpModules;
using System.ServiceModel.Configuration;
using System.Diagnostics;

namespace Gaudeix.WCF.Infrastructure.Behavior
{
    /// <summary>
    /// Extensió del behavior de control de transaccions de Nhibernate per WCF
    /// </summary>
    public class NHibernateWcfBehaviorExtension : BehaviorExtensionElement
    {

        public override Type BehaviorType
        {
            get {
                Debug.Print("NHibernateWcfBehaviorExtension.BehaviorType");
                Type result = typeof(NHibernateWcfBehavior);
                return result;
            }
        }

        protected override object CreateBehavior()
        {
            Debug.Print("NHibernateWcfBehaviorExtension.CreateBehavior");
            return new NHibernateWcfBehavior();
        }
    }
}