-- USUARI GaudeixAdm --
USE [master]
GO
CREATE LOGIN [GaudeixAdm] WITH PASSWORD=N'GaudeixAdm', DEFAULT_DATABASE=[master], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
USE [GaudeixDB]
GO
CREATE USER [GaudeixAdm] FOR LOGIN [GaudeixAdm] WITH DEFAULT_SCHEMA=[dbo]
GO
USE [GaudeixDB]
GO
EXEC sp_addrolemember N'db_datareader', N'GaudeixAdm'
GO
USE [GaudeixDB]
GO
EXEC sp_addrolemember N'db_datawriter', N'GaudeixAdm'
GO

-- USUARI GaudeixWeb --
USE [master]
GO
CREATE LOGIN [GaudeixWeb] WITH PASSWORD=N'GaudeixWeb', DEFAULT_DATABASE=[GaudeixDB], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
USE [GaudeixDB]
GO
CREATE USER [GaudeixWeb] FOR LOGIN [GaudeixWeb] WITH DEFAULT_SCHEMA=[dbo]
GO
EXEC sp_addrolemember N'db_datareader', N'GaudeixWeb'
GO
GRANT DELETE ON [dbo].[CategoriesUsuari] TO [GaudeixWeb] AS [dbo]
GO
GRANT INSERT ON [dbo].[CategoriesUsuari] TO [GaudeixWeb] AS [dbo]
GO
GRANT UPDATE ON [dbo].[CategoriesUsuari] TO [GaudeixWeb] AS [dbo]
GO
GRANT INSERT ON [dbo].[ComentarisOferta] TO [GaudeixWeb] AS [dbo]
GO
GRANT INSERT ON [dbo].[CompresUsuari] TO [GaudeixWeb] AS [dbo]
GO
GRANT DELETE ON [dbo].[CuaCorreu] TO [GaudeixWeb] AS [dbo]
GO
GRANT INSERT ON [dbo].[CuaCorreu] TO [GaudeixWeb] AS [dbo]
GO
GRANT UPDATE ON [dbo].[CuaCorreu] TO [GaudeixWeb] AS [dbo]
GO
GRANT UPDATE ON [dbo].[Ofertes] ([NotaMitja]) TO [GaudeixWeb] AS [dbo]
GO
GRANT UPDATE ON [dbo].[Ofertes] ([NumVisites]) TO [GaudeixWeb] AS [dbo]
GO
GRANT UPDATE ON [dbo].[Ofertes] ([NumCompres]) TO [GaudeixWeb] AS [dbo]
GO
GRANT ALTER ON [dbo].[Usuaris] TO [GaudeixWeb] AS [dbo]
GO
GRANT INSERT ON [dbo].[Usuaris] TO [GaudeixWeb] AS [dbo]
GO
GRANT UPDATE ON [dbo].[Usuaris] TO [GaudeixWeb] AS [dbo]
GO

